= form_for [committee, meeting] do |f|
  - if meeting.errors.any?
    .container-fluid
      .card.card-outline-danger#error-explanation
        .card-block
          %h4
            = t('errors', count: meeting.errors.count)
            = t('error_message', count: meeting.errors.count)
          %ul.list-group
            - meeting.errors.full_messages.each do |msg|
              %li.list-group-item= msg
    .ls40

  .field.form-group
    = f.label :name
    = f.text_field :name, class: 'form-control'
  .field.form-group
    = f.label :time_start
    %br
    = f.text_field :time_start, class: 'd-none'
    .container
      .row
        = text_field_tag :day_start, meeting.time_start&.strftime('%Y/%m/%d'),
        class: 'form-control col-6', required: true
        = text_field_tag :hour_start, meeting.time_start&.strftime('%H:%M'),
        class: 'form-control col-6', required: true
  .field.form-group
    = f.label :time_end
    %br
    = f.text_field :time_end, class: 'd-none'
    .container
      .row
        = text_field_tag :day_end, meeting.time_end&.strftime('%Y/%m/%d'),
        class: 'form-control col-6', required: true
        = text_field_tag :hour_end, meeting.time_end&.strftime('%H:%M'),
        class: 'form-control col-6', required: true
  .field
    = f.label :approved
    = f.check_box :approved
  - unless action_name == 'new' || action_name == 'create'
    .field.form-group
      = f.label :max_candidates_number
      = f.text_field :max_candidates_number, class: 'form-control'
  .text-center.mt-3.mb-3#summary
  .actions.d-inline-block.float-right
    = f.submit t(:save), class: 'btn btn-success'

:coffee
  window.default_meeting_time = #{committee.default_meeting_time}
